Aktuelles apache-ant nicht gefunden

08/01/2014 - 15:29 von Susanne Wunsch | Report spam
Hallo,

ich habe hier ein OX 10.7.5 auf einem MacBook Pro am laufen. Darauf ist
Apache Ant standardmàßig unter /usr/bin/ant vorhanden.

Nun habe ich via MacPorts eine neuere Version installiert. Das geschieht
automatisch nach /opt/local/share/java/apache-ant.

Dummerweise schaffe ich es nicht, diese neuere Version zu nutzen.
Jegliche Aufrufe landen beim alten Apache Ant. :-(

Was könnte man noch tun, um die neuere Version 1.9.2 zu verwenden?

Der Standardspruch, den ich nun überhaupt nicht mehr mag, heißt:

$ ant -version
Apache Ant(TM) version 1.8.2 compiled on December 20 2010

Folgende Dinge habe ich schon ausprobiert.

$ which ant
/opt/local/bin/ant

$sudo port installed apache-ant
The following ports are currently installed:
apache-ant @1.9.2_0 (active)

$ ls -l /usr/bin/ant
lrwxr-xr-x 1 root wheel 22 8 Okt 2011 /usr/bin/ant -> /usr/share/ant/bin/ant

$ ls -l /opt/local/bin/ant
lrwxr-xr-x 1 root admin 32 8 Jan 13:55 /opt/local/bin/ant -> ../share/java/apache-ant/bin/ant

Liebe Grüße...
Susanne
 

Lesen sie die antworten

#1 Thomas Kaiser
08/01/2014 - 16:00 | Warnen spam
Susanne Wunsch schrieb in <news:
Der Standardspruch, den ich nun überhaupt nicht mehr mag, heißt:

$ ant -version
Apache Ant(TM) version 1.8.2 compiled on December 20 2010

Folgende Dinge habe ich schon ausprobiert.

$ which ant
/opt/local/bin/ant



Was sagen "type ant", "/opt/local/bin/ant -version" und "echo $PATH"?

Gruss,

Thomas

Ähnliche fragen